<!doctype html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
    integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

  <title>Register Attendance</title>
</head>

<body>

  <div class="container justify-content-center align-items-center text-center">
    <br>
    <h2>UTM Smart Attendance</h2>
    <br>
    <h4>Please enter the class code</h4>
    <form onsubmit="handleform(event)" style="width: 400px; display: inline-block;">
      <input class="form-control" type="text" id="matric" placeholder="Matric No: ">
      <br>
      <input class="form-control" type="text" id="key" maxlength=6 placeholder="Attendance Key: ">
      <br>
      <button id="submit" type="submit" class="btn btn-info">Submit</button>
    </form>
  </div>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
    integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
    crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
    integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
    integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
    crossorigin="anonymous"></script>
  <script>
    function handleform(e) {
      e.preventDefault();
      // var btn = document.getElementById('submit');
      // btn.disabled = true;
      var matric = document.getElementById('matric').value;
      var key = document.getElementById('key').value;

      var xhr = new XMLHttpRequest();
      xhr.open('POST', '/api/register/attendance');
      xhr.setRequestHeader('Content-Type', 'application/json');
      xhr.onload = function () {
        if (xhr.status === 200) {
          var response = JSON.parse(xhr.responseText);
          if (response["attData"]) {
            var from = new Date(response.attData.timeStart).toLocaleString();
            var to = new Date(response.attData.timeStop).toLocaleString().split(',')[1]

            var timeregister = new Date(response.result.TimeRegister).toLocaleString();
            console.log(response);
            // var result = JSON.parse(xhr.responseText);

            // const d = new Date(result.TimeStart).toLocaleString();
            // const d2 = new Date(result.TimeStop).toLocaleString().split(',')[1];
            alert(`Registered for 
${response.attData.code} ${response.attData.title}: ${response.attData.lect}
${from} - ${to}

Name: ${response.std}
Time Registered: ${timeregister}
Status: ${response.result.Attended}`)
            // redirect to another page on success

          }
          else {
            alert(response.msg);
          }

        }

      };
      xhr.send(JSON.stringify({ matric, key }));
    }
  </script>
</body>

</html>
